Bug 788976 (CVE-2012-0503)

Summary: CVE-2012-0503 OpenJDK: unrestricted use of TimeZone.setDefault() (i18n, 7110687)
Product: [Other] Security Response Reporter: Tomas Hoger <thoger>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: ahughes, aph, chphilli, dbhole, ddadacha, jvanek, omajid, ptisnovs, rkennke, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=critical,public=20120214,reported=20120204,source=oracle,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-5/java-1.6.0-openjdk=affected,rhel-6/java-1.6.0-openjdk=affected,rhel-4/java-1.6.0-sun=affected,rhel-5/java-1.6.0-sun=affected,rhel-6/java-1.6.0-sun=affected,fedora-all/java-1.6.0-openjdk=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-07-16 16:17:05 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 787142, 787143, 787144, 787145, 788202, 788203, 788204, 788205, 788206, 813689, 813690, 813691, 813692, 814225, 814226, 814227, 814228, 824864, 824865, 839641, 839644, 839645, 839646    
Bug Blocks: 786724    

Description Tomas Hoger 2012-02-09 13:10:00 UTC
It was discovered that the use of TimeZone.setDefault() is not restricted by SecurityManager, allowing untrusted Java application or applet to set new default time zone and hence bypass SecurityManager restrictions.

Comment 2 Vincent Danen 2012-02-14 23:09:48 UTC
External Reference:

http://www.oracle.com/technetwork/topics/security/javacpufeb2012-366318.html

Comment 3 errata-xmlrpc 2012-02-14 23:43:00 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0135 https://rhn.redhat.com/errata/RHSA-2012-0135.html

Comment 4 Tomas Hoger 2012-02-15 08:45:10 UTC
Patches were applied in following IcedTea versions:

* IcedTea6 1.8.13 (based on OpenJDK6 b18)
* IcedTea6 1.9.13 (based on OpenJDK6 b20)
* IcedTea6 1.10.6 (based on OpenJDK6 b22)
* IcedTea6 1.11.1 (based on OpenJDK6 b24)
* IcedTea 2.0.1 (based on OpenJDK7 u1 + u3 security patches)

http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2012-February/017249.html
http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2012-February/017233.html

Patch:
http://icedtea.classpath.org/hg/release/icedtea6-1.10/file/4e7a700d4ecc/patches/security/20120214/7110687.patch

Comment 5 errata-xmlrpc 2012-02-16 19:02:00 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:0139 https://rhn.redhat.com/errata/RHSA-2012-0139.html

Comment 6 errata-xmlrpc 2012-02-21 21:58:34 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0322 https://rhn.redhat.com/errata/RHSA-2012-0322.html

Comment 7 errata-xmlrpc 2012-04-23 17:04:09 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:0508 https://rhn.redhat.com/errata/RHSA-2012-0508.html

Comment 8 errata-xmlrpc 2012-04-24 19:36:30 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:0514 https://rhn.redhat.com/errata/RHSA-2012-0514.html

Comment 9 errata-xmlrpc 2012-05-30 16:10:34 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2012:0702 https://rhn.redhat.com/errata/RHSA-2012-0702.html

Comment 10 errata-xmlrpc 2012-07-16 15:56:50 UTC
This issue has been addressed in following products:

  RHEL 5 for SAP
  RHEL 6 for SAP

Via RHSA-2012:1080 https://rhn.redhat.com/errata/RHSA-2012-1080.html

Comment 11 errata-xmlrpc 2013-10-23 17:03:21 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2013:1455 https://rhn.redhat.com/errata/RHSA-2013-1455.html